## litestar-htmx 0.4.1

=== Makefile ===
SHELL := /bin/bash
# =============================================================================
# Variables
# =============================================================================

.DEFAULT_GOAL:=help
.ONESHELL:
.EXPORT_ALL_VARIABLES:


.PHONY: help
help: 		   										## Display this help text for Makefile
	@awk 'BEGIN {FS = ":.*##"; printf "\nUsage:\n  make \033[36m<target>\033[0m\n"} /^[a-zA-Z0-9_-]+:.*?##/ { printf "  \033[36m%-15s\033[0m %s\n", $$1, $$2 } /^##@/ { printf "\n\033[1m%s\033[0m\n", substr($$0, 5) } ' $(MAKEFILE_LIST)

.PHONY: upgrade
upgrade:       										## Upgrade all dependencies to the latest stable versions
	@echo "=> Updating all dependencies"
	@uv lock --upgrade
	@echo "=> Dependencies Updated"
	@uv run pre-commit autoupdate
	@echo "=> Updated Pre-commit"

# =============================================================================
# Developer Utils
# =============================================================================
.PHONY: install-uv
install-uv: 										## Install latest version of uv
	@curl -LsSf https://astral.sh/uv/install.sh | sh

.PHONY: install
install: clean										## Install the project, dependencies, and pre-commit for local development
	@uv sync --all-extras --dev
	@echo "=> Install complete!"

.PHONY: clean
clean: 												## Cleanup temporary build artifacts
	@echo "=> Cleaning working directory"
	@rm -rf .pytest_cache .ruff_cache .hypothesis build/ -rf dist/ .eggs/
	@find . -name '*.egg-info' -exec rm -rf {} +
	@find . -type f -name '*.egg' -exec rm -f {} +
	@find . -name '*.pyc' -exec rm -f {} +
	@find . -name '*.pyo' -exec rm -f {} +
	@find . -name '*~' -exec rm -f {} +
	@find . -name '__pycache__' -exec rm -rf {} +
	@find . -name '.ipynb_checkpoints' -exec rm -rf {} +
	@rm -rf .coverage coverage.xml coverage.json htmlcov/ .pytest_cache tests/.pytest_cache tests/**/.pytest_cache .mypy_cache
	$(MAKE) docs-clean

.PHONY: destroy
destroy: 											## Destroy the virtual environment
	@rm -rf .venv

.PHONY: lock
lock:                                             ## Rebuild lockfiles from scratch, updating all dependencies
	@uv lock --upgrade

# =============================================================================
# Tests, Linting, Coverage
# =============================================================================
.PHONY: mypy
mypy:                                               ## Run mypy
	@echo "=> Running mypy"
	@uv run dmypy run
	@echo "=> mypy complete"

.PHONY: mypy-nocache
mypy-nocache:                                       ## Run Mypy without cache
	@echo "=> Running mypy without a cache"
	@uv run mypy
	@echo "=> mypy complete"

.PHONY: pyright
pyright:                                            ## Run pyright
	@echo "=> Running pyright"
	@uv run pyright
	@echo "=> pyright complete"

.PHONY: type-check
type-check: mypy pyright                            ## Run all type checking

.PHONY: pre-commit
pre-commit: 										## Runs pre-commit hooks; includes ruff formatting and linting, codespell
	@echo "=> Running pre-commit process"
	@uv run pre-commit run --all-files
	@echo "=> Pre-commit complete"

.PHONY: slotscheck
slotscheck: 										## Run slotscheck
	@echo "=> Running slotscheck"
	@uv run slotscheck litestar_htmx/
	@echo "=> slotscheck complete"

.PHONY: lint
lint: pre-commit type-check slotscheck						## Run all linting

.PHONY: coverage
coverage:  											## Run the tests and generate coverage report
	@echo "=> Running tests with coverage"
	@uv run pytest tests --cov -n auto
	@uv run coverage html
	@uv run coverage xml
	@echo "=> Coverage report generated"

.PHONY: test
test:  												## Run the tests
	@echo "=> Running test cases"
	@uv run pytest tests
	@echo "=> Tests complete"

.PHONY: test-examples
test-examples:            			              	## Run the examples tests
	@uv run pytest docs/examples

.PHONY: test-all
test-all: test test-examples 						## Run all tests

.PHONY: check-all
check-all: lint test-all coverage                   ## Run all linting, tests, and coverage checks


# =============================================================================
# Docs
# =============================================================================
docs-clean: 										## Dump the existing built docs
	@echo "=> Cleaning documentation build assets"
	@rm -rf docs/_build
	@echo "=> Removed existing documentation build assets"

docs-serve: docs-clean 								## Serve the docs locally
	@echo "=> Serving documentation"
	uv run sphinx-autobuild docs docs/_build/ -j auto --watch litestar_htmx --watch docs --watch tests --watch CONTRIBUTING.rst --port 8002

docs: docs-clean 									## Dump the existing built docs and rebuild them
	@echo "=> Building documentation"
	@uv run sphinx-build -M html docs docs/_build/ -E -a -j auto -W --keep-going

.PHONY: docs-linkcheck
docs-linkcheck: 									## Run the link check on the docs
	@uv run sphinx-build -b linkcheck ./docs ./docs/_build -D linkcheck_ignore='http://.*','https://.*'

.PHONY: docs-linkcheck-full
docs-linkcheck-full: 									## Run the full link check on the docs
	@uv run sphinx-build -b linkcheck ./docs ./docs/_build -D linkcheck_anchors=0

=== debian/changelog ===
litestar-htmx (0.4.1-2) unstable; urgency=medium

  * [96fa914] d/control: Uncomment and adjust B-D for test suite
  * [2d1617a] d/rules: Run the tests at build time
  * [28b13b3] d/control: Add missing bin dep on python3-litestar
  * [1bd6311] autopkgtest: Add some test setup
  * [aa1f6a8] d/salsa-ci.yml: Add a Salsa CI config

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 09 Mar 2025 18:02:34 +0200

litestar-htmx (0.4.1-1) unstable; urgency=medium

  * [b59d45d] New upstream version 0.4.1
  * [a21abca] First and Basic Debianization
    (Closes: #1095007)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 03 Feb 2025 19:00:42 +0200

=== debian/control ===
Source: litestar-htmx
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
 Kathara Sasikumar <katharasasikumar007@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-hatchling,
 python3-jinja2 <!nocheck>,
 python3-litestar <!nocheck>,
 python3-mako <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-mock <!nocheck>,
 python3-pytest-sugar <!nocheck>,
 python3-pytest-xdist <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://github.com/litestar-org/litestar-htmx
Vcs-Git: https://salsa.debian.org/python-team/packages/litestar-htmx.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/litestar-htmx
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-litestar-htmx
Architecture: any
Depends:
 python3-litestar,
 ${misc:Depends},
 ${python3:Depends},
Description: HTMX Integration for Litestar
 The Litestar framework supports Plugins, ships with dependency injection,
 security primitives, OpenAPI schema generation, MessagePack, middlewares, a
 great CLI experience, and much more.
 .
 HTMX is a JavaScript library that gives you access to AJAX, CSS
 Transitions, WebSockets and Server Sent Events directly in HTML, using
 attributes, so you can build modern user interfaces with the simplicity and
 power of hypertext.
 .
 This package provides Python bindings for the Litestar package to interact
 with the HTMX functionalities.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

#SPHINXOPTS := -E -N

export PYBUILD_NAME=litestar_htmx

%:
	dh $@ --buildsystem=pybuild

override_dh_clean:
	rm -rf .mypy_cache .pytest_cache
	dh_clean

#override_dh_sphinxdoc:
#ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
#	PYTHONPATH=`dirname $$(find .pybuild/ -type d -name "$(PYBUILD_NAME)*dist-info" | head -n1)` \
#	    python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc/html
#	dh_sphinxdoc
#endif

## litestar-htmx 0.5.0

=== Makefile ===
SHELL := /bin/bash

# =============================================================================
# Configuration and Environment Variables
# =============================================================================

.DEFAULT_GOAL:=help
.ONESHELL:
.EXPORT_ALL_VARIABLES:
MAKEFLAGS += --no-print-directory

# -----------------------------------------------------------------------------
# Display Formatting and Colors
# -----------------------------------------------------------------------------
BLUE := $(shell printf "\033[1;34m")
GREEN := $(shell printf "\033[1;32m")
RED := $(shell printf "\033[1;31m")
YELLOW := $(shell printf "\033[1;33m")
NC := $(shell printf "\033[0m")
INFO := $(shell printf "$(BLUE)ℹ$(NC)")
OK := $(shell printf "$(GREEN)✓$(NC)")
WARN := $(shell printf "$(YELLOW)⚠$(NC)")
ERROR := $(shell printf "$(RED)✖$(NC)")

# =============================================================================
# Help and Documentation
# =============================================================================

.PHONY: help
help:                                               ## Display this help text for Makefile
	@awk 'BEGIN {FS = ":.*##"; printf "\nUsage:\n  make \033[36m<target>\033[0m\n"} /^[a-zA-Z0-9_-]+:.*?##/ { printf "  \033[36m%-15s\033[0m %s\n", $$1, $$2 } /^##@/ { printf "\n\033[1m%s\033[0m\n", substr($$0, 5) } ' $(MAKEFILE_LIST)

# =============================================================================
# Installation and Environment Setup
# =============================================================================

.PHONY: install-uv
install-uv:                                         ## Install latest version of uv
	@echo "${INFO} Installing uv..."
	@curl -LsSf https://astral.sh/uv/install.sh | sh >/dev/null 2>&1
	@uv tool install nodeenv >/dev/null 2>&1
	@echo "${OK} UV installed successfully"

.PHONY: install
install: destroy clean                              ## Install the project, dependencies, and pre-commit
	@echo "${INFO} Starting fresh installation..."
	@uv python pin 3.12 >/dev/null 2>&1
	@uv venv >/dev/null 2>&1
	@uv sync --all-extras --dev
	@echo "${OK} Installation complete! 🎉"

.PHONY: destroy
destroy:                                            ## Destroy the virtual environment
	@echo "${INFO} Destroying virtual environment... 🗑️"
	@uv run pre-commit clean >/dev/null 2>&1
	@rm -rf .venv
	@echo "${OK} Virtual environment destroyed 🗑️"

# =============================================================================
# Dependency Management
# =============================================================================

.PHONY: upgrade
upgrade:                                            ## Upgrade all dependencies to latest stable versions
	@echo "${INFO} Updating all dependencies... 🔄"
	@uv lock --upgrade
	@echo "${OK} Dependencies updated 🔄"
	@uv run pre-commit autoupdate
	@echo "${OK} Updated Pre-commit hooks 🔄"

.PHONY: lock
lock:                                              ## Rebuild lockfiles from scratch
	@echo "${INFO} Rebuilding lockfiles... 🔄"
	@uv lock --upgrade >/dev/null 2>&1
	@echo "${OK} Lockfiles updated"

# =============================================================================
# Build and Release
# =============================================================================

.PHONY: build
build:                                             ## Build the package
	@echo "${INFO} Building package... 📦"
	@uv build >/dev/null 2>&1
	@echo "${OK} Package build complete"

.PHONY: release
release:                                           ## Bump version and create release tag
	@echo "${INFO} Preparing for release... 📦"
	@make docs
	@make clean
	@make build
	@uv lock --upgrade-package advanced-alchemy >/dev/null 2>&1
	@uv run bump-my-version bump $(bump)
	@echo "${OK} Release complete 🎉"

# =============================================================================
# Cleaning and Maintenance
# =============================================================================

.PHONY: clean
clean:                                              ## Cleanup temporary build artifacts
	@echo "${INFO} Cleaning working directory... 🧹"
	@rm -rf .pytest_cache .ruff_cache .hypothesis build/ dist/ .eggs/ .coverage coverage.xml coverage.json htmlcov/ .pytest_cache tests/.pytest_cache tests/**/.pytest_cache .mypy_cache .unasyncd_cache/ .auto_pytabs_cache node_modules >/dev/null 2>&1
	@find . -name '*.egg-info' -exec rm -rf {} + >/dev/null 2>&1
	@find . -type f -name '*.egg' -exec rm -f {} + >/dev/null 2>&1
	@find . -name '*.pyc' -exec rm -f {} + >/dev/null 2>&1
	@find . -name '*.pyo' -exec rm -f {} + >/dev/null 2>&1
	@find . -name '*~' -exec rm -f {} + >/dev/null 2>&1
	@find . -name '__pycache__' -exec rm -rf {} + >/dev/null 2>&1
	@find . -name '.ipynb_checkpoints' -exec rm -rf {} + >/dev/null 2>&1
	@echo "${OK} Working directory cleaned"
	$(MAKE) docs-clean

# =============================================================================
# Testing and Quality Checks
# =============================================================================

.PHONY: test
test:                                              ## Run the tests
	@echo "${INFO} Running test cases... 🧪"
	@uv run pytest -n 2 --quiet
	@echo "${OK} Tests passed ✨"

.PHONY: coverage
coverage:                                          ## Run tests with coverage report
	@echo "${INFO} Running tests with coverage... 📊"
	@uv run pytest --cov -n auto --quiet
	@uv run coverage html >/dev/null 2>&1
	@uv run coverage xml >/dev/null 2>&1
	@echo "${OK} Coverage report generated ✨"

# -----------------------------------------------------------------------------
# Type Checking
# -----------------------------------------------------------------------------

.PHONY: mypy
mypy:                                              ## Run mypy
	@echo "${INFO} Running mypy... 🔍"
	@uv run dmypy run
	@echo "${OK} Mypy checks passed ✨"

.PHONY: mypy-nocache
mypy-nocache:                                      ## Run Mypy without cache
	@echo "${INFO} Running mypy without cache... 🔍"
	@uv run mypy
	@echo "${OK} Mypy checks passed ✨"

.PHONY: pyright
pyright:                                           ## Run pyright
	@echo "${INFO} Running pyright... 🔍"
	@uv run pyright
	@echo "${OK} Pyright checks passed ✨"

.PHONY: type-check
type-check: mypy pyright                           ## Run all type checking

# -----------------------------------------------------------------------------
# Linting and Formatting
# -----------------------------------------------------------------------------

.PHONY: pre-commit
pre-commit:                                        ## Run pre-commit hooks
	@echo "${INFO} Running pre-commit checks... 🔎"
	@NODE_OPTIONS="--no-deprecation --disable-warning=ExperimentalWarning" uv run pre-commit run --color=always --all-files
	@echo "${OK} Pre-commit checks passed ✨"

.PHONY: slotscheck
slotscheck:                                        ## Run slotscheck
	@echo "${INFO} Running slots check... 🔍"
	@uv run slotscheck
	@echo "${OK} Slots check passed ✨"

.PHONY: fix
fix:                                               ## Run code formatters
	@echo "${INFO} Running code formatters... 🔧"
	@uv run ruff check --fix --unsafe-fixes
	@echo "${OK} Code formatting complete ✨"

.PHONY: lint
lint: pre-commit type-check slotscheck             ## Run all linting checks

.PHONY: check-all
check-all: lint test coverage                      ## Run all checks (lint, test, coverage)

# =============================================================================
# Documentation
# =============================================================================

.PHONY: docs-clean
docs-clean:                                        ## Clean documentation build
	@echo "${INFO} Cleaning documentation build assets... 🧹"
	@rm -rf docs/_build >/dev/null 2>&1
	@echo "${OK} Documentation assets cleaned"

.PHONY: docs-serve
docs-serve: docs-clean                             ## Serve documentation locally
	@echo "${INFO} Starting documentation server... 📚"
	@uv run sphinx-autobuild docs docs/_build/ -j auto --watch litestar_htmx --watch docs --watch tests --watch CONTRIBUTING.rst --port 8002

.PHONY: docs
docs: docs-clean                                   ## Build documentation
	@echo "${INFO} Building documentation... 📝"
	@uv run sphinx-build -M html docs docs/_build/ -E -a -j auto -W --keep-going >/dev/null 2>&1
	@echo "${OK} Documentation built successfully"

.PHONY: docs-linkcheck
docs-linkcheck:                                    ## Check documentation links
	@echo "${INFO} Checking documentation links... 🔗"
	@uv run sphinx-build -b linkcheck ./docs ./docs/_build -D linkcheck_ignore='http://.*','https://.*'
	@echo "${OK} Link check complete"

.PHONY: docs-linkcheck-full
docs-linkcheck-full:                               ## Run full documentation link check
	@echo "${INFO} Running full link check... 🔗"
	@uv run sphinx-build -b linkcheck ./docs ./docs/_build -D linkcheck_anchors=0
	@echo "${OK} Full link check complete"

=== debian/changelog ===
litestar-htmx (0.5.0-1) unstable; urgency=medium

  * [14eeab8] New upstream version 0.5.0
  * [e02202b] d/control: Increase Standards-Version to 4.7.2
    No further changes needed.
  * [6d3121b] d/control: Drop Rules-Requires-Root
    The setting of Rules-Requires-Root: no is now default.
  * [a6cfce7] d/README.source: Update info about building -doc package
  * [078712f] d/control: Prepare entry for -doc package
  * [7f647ea] d/rules: Update target for -doc build
  * [1857b76] d/control: Sort build dependencies alphabetical

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 22 Aug 2025 15:07:56 +0200

=== debian/control ===
--- 
+++ 
@@ -8,23 +8,52 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ dh-sequence-sphinxdoc <!nodoc>,
  pybuild-plugin-pyproject,
  python3-all,
+ python3-auto-pytabs <!nodoc>,
  python3-hatchling,
  python3-jinja2 <!nocheck>,
  python3-litestar <!nocheck>,
  python3-mako <!nocheck>,
- python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
  python3-pytest-mock <!nocheck>,
+ python3-pytest <!nocheck>,
  python3-pytest-sugar <!nocheck>,
  python3-pytest-xdist <!nocheck>,
-Standards-Version: 4.7.0
+ python3-sphinx-autobuild <!nodoc>,
+ python3-sphinx-click <!nodoc>,
+ python3-sphinxcontrib-mermaid <!nodoc>,
+ python3-sphinx-copybutton <!nodoc>,
+ python3-sphinx-design <!nodoc>,
+ python3-sphinx <!nodoc>,
+ python3-sphinx-paramlinks <!nodoc>,
+ python3-sphinx-togglebutton <!nodoc>,
+ python3-sphinx-toolbox <!nodoc>,
+Standards-Version: 4.7.2
 Homepage: https://github.com/litestar-org/litestar-htmx
 Vcs-Git: https://salsa.debian.org/python-team/packages/litestar-htmx.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/litestar-htmx
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
+
+#Package: python-litestar-htmx-doc
+#Section: doc
+#Architecture: all
+#Depends:
+# ${misc:Depends},
+# ${sphinxdoc:Depends},
+#Multi-Arch: foreign
+#Description: HTMX Integration for Litestar
+# The Litestar framework supports Plugins, ships with dependency injection,
+# security primitives, OpenAPI schema generation, MessagePack, middlewares, a
+# great CLI experience, and much more.
+# .
+# HTMX is a JavaScript library that gives you access to AJAX, CSS
+# Transitions, WebSockets and Server Sent Events directly in HTML, using
+# attributes, so you can build modern user interfaces with the simplicity and
+# power of hypertext.
+# .
+# This package contains the documentation for python3-litestar-htmx.
 
 Package: python3-litestar-htmx
 Architecture: any
@@ -32,6 +61,8 @@
  python3-litestar,
  ${misc:Depends},
  ${python3:Depends},
+#Suggests:
+# python-litestar-htmx-doc,
 Description: HTMX Integration for Litestar
  The Litestar framework supports Plugins, ships with dependency injection,
  security primitives, OpenAPI schema generation, MessagePack, middlewares, a

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,8 @@
 
 #override_dh_sphinxdoc:
 #ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
+#	HOME=$(CURDIR)/debian \
 #	PYTHONPATH=`dirname $$(find .pybuild/ -type d -name "$(PYBUILD_NAME)*dist-info" | head -n1)` \
-#	    python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc/html
+#	    python3 -m sphinx -b html $(SPHINXOPTS) docs $(CURDIR)/debian/python-litestar-htmx-doc/usr/share/doc/python-litestar-htmx-doc/html
 #	dh_sphinxdoc
 #endif

=== debian/tests/control ===
Tests:
 upstream-tests,
Depends:
 python3-all,
 python3-jinja2,
 python3-mako,
 python3-pytest,
 python3-pytest-cov,
 python3-pytest-mock,
 python3-pytest-sugar,
 python3-pytest-xdist,
 @,
Restrictions:
 allow-stderr,

=== debian/watch ===
version=4

opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
      uversionmangle=s/(\d)[_\.\-\+]?((alpha|beta|post|pre|dev|RC|rc)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/litestar-org/litestar-htmx.git \
      refs/tags/@ANY_VERSION@
